Bug 1170370 - Deploy Keystone in Apache httpd
Summary: Deploy Keystone in Apache httpd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 6.0 (Juno)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On: 1111274 1122764 1122767 1123117 1138424 1170218 1170223 1170224 1170225 1170372 1180230
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 22:24 UTC by Rich Megginson
Modified: 2016-04-26 21:30 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1123117
Environment:
Last Closed: 2016-01-19 15:02:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
initial wip for astapor, which causes cyclic dependency errors in puppet (8.84 KB, patch)
2014-12-08 18:53 UTC, Rich Megginson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Launchpad 1348729 None None None Never
Launchpad 1348732 None None None Never

Description Rich Megginson 2014-12-03 22:24:03 UTC
+++ This bug was initially created as a clone of Bug #1123117 +++

+++ This bug was initially created as a clone of Bug #1122764 +++

Keystone's preferred deployment has changed to running within Apache httpd/mod_wsgi upstream.  This offers better performance, stronger authentication mechanisms, and federation capabilities over using eventlet (keystone-all).

We should deploy Keystone in httpd/mod_wsgi for RHEL OSP 6.0 via all supported installation methods.

This bug will serve as a tracker for the various sub-tasks that are needed to complete this work across components.

Comment 1 Rich Megginson 2014-12-08 18:53:32 UTC
Created attachment 965961 [details]
initial wip for astapor, which causes cyclic dependency errors in puppet

Comment 3 Jaromir Coufal 2016-01-19 15:02:44 UTC
Already EOL for Installer, it is tracked and will be fixed in next versions of RHEL OpenStack Platform director (successor of RHEL OSP Installer).


Note You need to log in before you can comment on or make changes to this bug.